%global momorel 8

Name:           perl-SVG-Graph
Version:        0.02
Release:        %{momorel}m%{?dist}
Summary:        Visualize your data in Scalable Vector Graphics (SVG) format
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVG-Graph/
Source0:        http://www.cpan.org/modules/by-module/SVG/SVG-Graph-%{version}.tar.gz
NoSource:	0
Source1:        LICENSE.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-SVG >= 2.27
BuildRequires:  perl-Statistics-Descriptive >= 2.6
BuildRequires:  perl-Tree-DAG_Node >= 1.04
BuildRequires:  perl-Math-Derivative
BuildRequires:  perl-Math-Spline
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl-Tree-DAG_Node

%description
SVG::Graph is a suite of perl modules for plotting data. SVG::Graph
currently supports plots of one-, two- and three-dimensional data, as well
as N-ary rooted trees.

%prep
%setup -q -n SVG-Graph-%{version}
cp %{SOURCE1} .

# remove all execute bits from eg subdirectory
find eg -type f -exec chmod -x {} 2>/dev/null ';'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README LICENSE.fedora
%doc eg
%{perl_vendorlib}/SVG/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.02-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-6m)
- rebuild against perl-5.12.0

* Fri Apr  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-5m)
- %%{perl_vendorlib}/SVG was owned by perl-SVG

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-3m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-2m)
- rebuild against perl-5.10.1

* Mon Jun 29 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-1m)
- import from Fedora

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 14 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.02-1
- New upstream (0.02)
- Licensing terms clarified: Artistic 2.0

* Fri Feb 08 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.01-7
- rebuild for new perl

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-6
- Fixes BR for perl(Tree::DAG_Node)

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-5
- Add BR: perl(SVG), perl(Tree::DAG_Node) and versions

* Sat Apr 07 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-4
- Add BR: perl(Statistics::Descriptive).
- Add "eg" subdirectory as documentation.

* Fri Apr 06 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-3
- Added e-mail confirmation for license in package.

* Fri Apr 06 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-2
- Updated license.
- Add BR: perl(ExtUtils::MakeMaker)

* Fri Mar 23 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.01-1
- Specfile autogenerated by cpanspec 1.69.1.
